<template>
  <div class="swiper">
    <swiper :options="swiperOption" :ref="swiperId">
      <!-- slides -->
      <swiper-slide v-for="(slide, index) in swiperData" :key="index">
        <div v-if="swiperType=='imageOnly'" class="image-only">
            <img :src="slide.image" alt="photos" />
        </div>

        <div v-if="swiperType=='recommendation'" class="recommendation">
          <div class="item item-recommend">
            <div class="media">
              <div class="media-left">
                <img :src="slide.image" alt="client" />
              </div>
              <div class="media-body">
                <div class="overview">
                  <div class="name">{{ slide.title }}</div>
                  <div class="info-link">
                    <a>{{ slide.sub_title }}</a>
                  </div>
                </div>
              </div>
              <div class="media-right">
                <a>
                  <i class="fa fa-thumbs-up"></i>
                </a>
              </div>
            </div>
            <div class="recommendation">
              <p>{{ slide.content }}</p>
            </div>
          </div>
        </div>
      </swiper-slide>
      <!-- Optional controls -->
      <div class="swiper-pagination" slot="pagination"></div>
      <div class="faf fa-caret-left" slot="button-prev"></div>
      <div class="faf fa-caret-right" slot="button-next"></div>
    </swiper>
  </div>
</template>

<script>
import Vue from 'vue';
import VueAwesomeSwiper from 'vue-awesome-swiper';
import { swiper, swiperSlide } from 'vue-awesome-swiper';
import 'swiper/dist/css/swiper.css';

Vue.use(VueAwesomeSwiper);

export default {
  name: 'Swiper',
  components: {
    swiper,
    swiperSlide
  },
  props: {
    swiperType: {
      type: String,
      required: true,
      validator: function(value) {
        return ['imageOnly', 'recommendation'].indexOf(value) !== -1;
      }
    },
    swiperId: {
      type: String,
      required: false
    },
    swiperData: {
      type: Object | Array,
      required: true
    },
    swiperOption: {
      type: Object,
      required: false
    }
  }
};
</script>

<style lang="scss">
@import './Swiper.scss';
</style>

